| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxPropertyGridIterator Class Reference
wxPropertyGrid

`#include <wx/propgrid/propgridpagestate.h>`

Inheritance diagram for wxPropertyGridIterator:
[legend]

## Detailed Description

# wxPropertyGridIterator

Preferable way to iterate through contents of wxPropertyGrid, wxPropertyGridManager, and wxPropertyGridPage.

See wxPropertyGridInterface::GetIterator() for more information about usage.

##

Library: wxPropertyGrid
Category: wxPropertyGrid

## Public Member Functions

void | Assign (const wxPropertyGridIteratorBase &it)
bool | AtEnd () const
wxPGProperty * | GetProperty () const
| Get current property.
void | Next (bool iterateChildren=true)
| Iterate to the next property.
void | Prev ()
| Iterate to the previous property.

## Member Function Documentation

void wxPropertyGridIterator::Assign | ( | const wxPropertyGridIteratorBase & | it | ) |

bool wxPropertyGridIterator::AtEnd | ( |  | ) | const

inline

wxPGProperty* wxPropertyGridIterator::GetProperty | ( |  | ) | const

inline

Get current property.

void wxPropertyGridIterator::Next | ( | bool | iterateChildren = `true` | ) |

Iterate to the next property.

void wxPropertyGridIterator::Prev | ( |  | ) |

Iterate to the previous property.